@font-face {
  font-family: "Poppins Light";
  src: url(../Fonts/Poppins/Poppins-Light.ttf);
}

:root {
  --blue-50: oklch(0.9 0.15 210);
  --blue-100: oklch(0.8 0.2 210);
  --blue-200: oklch(0.7 0.25 210);
  --blue-300: oklch(0.6 0.3 210);
  --blue-350: oklch(0.5848 0.129 246.27); /* #3e849e */
  --blue-400: oklch(0.5 0.35 210);
  --blue-450: oklch(0.579 0.0805 225.17);
  --blue-500: oklch(0.4 0.4 210);
  --blue-600: oklch(0.3 0.4 210);
  --blue-700: oklch(0.2 0.4 210);
  --blue-800: oklch(0.15 0.35 210);
  --blue-900: oklch(0.1 0.3 210);
  --light-blue: oklch(0.64 0.65 220 / 0.1);
  --blue: oklch(0.64 0.65 220 / 0.5);

  --blue-accents: oklch(0.8 0.1 210);

  --bg-light: oklch(0.9702 0 0);
  --bg-dark: oklch(0.05 0.05 50);

  --text-light: oklch(0.2 0.02 50);
  --text-dark: oklch(96.715% 0.00011 0.2);

  --border-light: oklch(95% 0.01523 49);
  --border-dark: oklch(0.1 0.05 50);

  --link-light: oklch(0.4 0.3 210);
  --link-dark: oklch(0.6 0.3 210);

  --font-size-xs: 12px;
  --font-size-sm: 14px;
  --font-size-base: 16px;
  --font-size-md: 18px;
  --font-size-lg: 20px;
  --font-size-xl: 24px;
  --font-size-xxl: 32px;

  --font-weight-light: 300;
  --font-weight-normal: 400;
  --font-weight-medium: 500;
  --font-weight-bold: 700;

  --radius-sm: 0.125rem;
  --radius-md: 0.25rem;
  --radius-lg: 0.5rem;
  --radius-full: 50%;

  --shadow-light: 0 2px 5px 0 rgba(0, 0, 0, 0.1);
  --shadow-dark: 0 2px 5px 0 rgba(0, 0, 0, 0.5);

  --transition: all 0.3s ease;

  --spacing-xs: 0.25rem;
  --spacing-sm: 0.5rem;
  --spacing-md: 1rem;
  --spacing-lg: 1.5rem;
  --spacing-xl: 2rem;

  /* --- Margin Variables --- */
  --margin-xs: 0.5rem;
  --margin-sm: 1rem;
  --margin-md: 1.5rem;
  --margin-lg: 2rem;
  --margin-xl: 3rem;

  /* --- Padding Variables --- */
  --padding-xs: 0.5rem;
  --padding-sm: 1rem;
  --padding-md: 1.5rem;
  --padding-lg: 2rem;
  --padding-xl: 3rem;
}

[data-theme="dark"] {
  --blue-50: oklch(0.1 0.15 210);
  --blue-100: oklch(0.2 0.2 210);
  --blue-200: oklch(0.3 0.25 210);
  --blue-300: oklch(0.4 0.3 210);
  --blue-400: oklch(0.5 0.35 210);
  --blue-500: oklch(0.6 0.4 210);
  --blue-600: oklch(0.7 0.4 210);
  --blue-700: oklch(0.8 0.35 210);
  --blue-800: oklch(0.85 0.3 210);
  --blue-900: oklch(0.9 0.25 210);

  --blue-accents: oklch(0.3 0.1 210);

  --bg-light: oklch(0.05 0.05 50);
  --bg-dark: oklch(0.1 0.05 50);

  --text-light: oklch(0.9 0.03 50);
  --text-dark: oklch(0.2 0.02 50);

  --border-light: oklch(0.2 0.05 50);
  --border-dark: oklch(0.05 0.05 50);

  --link-light: oklch(0.7 0.3 210);
  --link-dark: oklch(0.8 0.3 210);

  --shadow-light: 0 2px 5px 0 rgba(255, 255, 255, 0.1);
  --shadow-dark: 0 2px 5px 0 rgba(0, 0, 0, 0.7);

  --margin-xs: 0.5rem;
  --margin-sm: 1rem;
  --margin-md: 1.5rem;
  --margin-lg: 2rem;
  --margin-xl: 3rem;

  --padding-xs: 0.5rem;
  --padding-sm: 1rem;
  --padding-md: 1.5rem;
  --padding-lg: 2rem;
  --padding-xl: 3rem;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: rgba(244, 244, 244, 0.566);
  -webkit-box-shadow: 1px 2px 10px -3px oklch(14.7% 0.004 49.25);
  box-shadow: 1px 2px 10px -3px oklch(14.7% 0.004 49.25);
}

.navbar-nav {
  list-style: none;
}

.navbar-nav .dropdown-toggle {
  padding: 10px !important;
  line-height: 1.5;
  vertical-align: middle;
}

.nav-item,
.nav-link {
  font-family: "Poppins Light";
  font-weight: lighter;
  text-transform: capitalize;
}

.nav-item,
#logOutBtn {
  font-size: var(--font-size-md);
  margin-left: var(--margin-xs);
  margin-right: var(--margin-xs);
}

#navbar-half.scrolled.dropdown-menu a {
  color: black !important;
}

#navbar-half.scrolled {
  background-color: var(--bg-light);
}
#navbar-half.scrolled a,
#navbar-half.scrolled #logOutBtn {
  color: black !important;
}

.nav-link,
#logOutBtn {
  text-decoration: none;
  display: inline-block;
  padding: 10px !important;
  position: relative;
  color: rgb(2, 2, 2) !important;
  letter-spacing: 0.1em;
}

#logOutBtn,
#signUpBtn {
  font-family: "Poppins Light";
  margin-right: 2vw;
  border: none;
}

.nav-link:not(.dropdown-toggle):after {
  background: none repeat scroll 0 0 transparent;
  bottom: 0;
  content: "";
  display: block;
  height: 2px;
  left: 50%;
  position: absolute;
  border-bottom: 4px solid #93d4f5 !important;
  transition: width 0.3s ease 0s, left 0.3s ease 0s;
  width: 0;
}

.nav-link.active:after {
  width: 100%;
  left: 0;
}

.nav-link:not(.dropdown-toggle):hover:after {
  width: 100%;
  left: 0;
}

.nav-item.dropdown:hover .dropdown-menu {
  background-color: white !important;
  color: black !important;
}

.dropdown-item:hover {
  background-color: rgb(126, 203, 242, 0.5) !important;
}

.dropdown-item.active {
  background-color: rgb(126, 203, 242) !important;
  color: black !important;
}

#navbar.scrolled {
  background-color: white;
}

#navbar.scrolled a {
  color: black !important;
}

.white-text.scrolled {
  background-color: white;
}

.white-text.scrolled .nav-link,
.white-text.scrolled #logOutBtn {
  color: black !important;
}

.dropdown-item {
  font-weight: bold;
  font-family: "Poppins Light";
}

.navbar {
  transition: all 0.4s ease-in-out;
}

#navbar-half2.scrolled {
  background-color: white;
}

.account-nav {
  display: flex;
  align-items: center;
  border-radius: 50%;
  margin-left: 1rem;
  margin-top: 0 !important;

  img {
    height: 40px;
    border-radius: 50%;
    aspect-ratio: 1;
    object-fit: cover;
  }

  a {
    height: 100%;
    display: flex;
    align-items: center;
  }
}

.btn .badge {
  top: 10px !important;
}

#notifs {
  margin-top: 0;
}

.notification-container {
  height: 100%;
  display: flex;
  align-items: center;

  button {
    background-color: transparent;
    border: none;
  }
}

.notificationIcon {
  display: flex;
  align-items: center;
  height: 30px;
  aspect-ratio: 1;
}

img {
  display: block;
}

.logoNav {
  width: 10vw;
  margin: var(--margin-xs);
}

/* Tablet size */
@media only screen and (min-width: 600px) and (max-width: 1024px) {
  .notification-container {
    margin-left: var(--margin-sm);
    width: 50px;
    overflow-x: visible;
  }
  .navbar {
    background-color: transparent;
    padding-top: 1vw;
  }

  button.position-relative {
    padding: 0 !important;
  }

  .profile {
    flex-wrap: nowrap !important;
    flex-direction: row !important;
    align-items: center;
  }

  .account-nav {
    .profile-pic {
      height: 44px;
    }
  }
  .navbar-toggler {
    float: right;
    background-color: #ffffff !important;
    margin: 1vw;
    border: none;

    &:focus,
    &:active {
      outline: none !important;
      box-shadow: none !important;
      border: none;
    }
  }

  .notificationIcon {
    display: flex;
    align-items: center;
    height: 30px;
    aspect-ratio: 1;
    margin-right: var(--margin-xs);
  }

  .btn .badge {
    top: -2px !important;
  }

  .notifBtn {
    margin-left: 1vw;
    height: 100%;
  }

  .logoNav {
    width: 15vw;
  }

  #logOutBtn {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  a.nav-link {
    padding: 0;
  }

  #logOutBtn {
    margin-right: 0 !important;
  }
}

@media (max-width: 991.98px) {
  .navbar {
    background-color: oklch(98.5% 0 0) !important;
    -webkit-box-shadow: none;
    box-shadow: none;
  }
  #navbarNav .nav-link,
  #navbarNav .dropdown-item {
    color: black !important;
  }

  .nav-item.dropdown {
    text-align: center !important;
  }

  .nav-item {
    margin-top: 5px;
    text-align: center !important;
  }

  a.dropdown-item {
    text-align: center !important;
  }

  #navbar-half2 .btn-outline-danger {
    color: black !important;
    border-color: white !important;
    width: 100%;
    text-align: center !important;
  }

  .navbar-toggler {
    background-color: white !important;
  }

  #toggledNav,
  #navUL {
    background-color: oklch(98.5% 0 0);
  }
}

@media (max-width: 991.98px) and (orientation: portrait) {
  .nav-item {
    margin-top: 5px;
  }
}

@media (max-width: 600px) {
  .nav-link,
  #logOutBtn {
    font-size: clamp(15px, calc(2vh + 2px), 16px) !important;
  }
  .logoNav {
    width: 20vw !important;
  }

  .account-nav img {
    height: 35px;
    aspect-ratio: 1;
  }

  .btn .badge {
    top: 4px !important;
  }

  .notificationIcon {
    display: flex;
    align-items: center;
    height: 25px;
    aspect-ratio: 1;
  }

  .navbar-toggler-icon {
    width: 23px !important;
  }

  .navbar-toggler {
    margin-right: 3vw;
  }

  .notifBtn {
    margin-left: 1.5vw;
    margin-top: 0 !important;
  }

  #toggledNav,
  #navUL {
    background-color: whitesmoke;
  }
}

@media (max-width: 400px) {
  .account-nav {
    .profile-pic {
      height: clamp(11vw, 10vw, 9vw);
    }
  }
  .notificationIcon {
    height: clamp(7vw, 6vw, 5vw);
  }

  .navbar-toggler-icon {
    width: 19px !important;
  }

  .btn .badge {
    font-size: var(--font-size-xs) !important;
  }

  .nav-link,
  #logOutBtn,
  #signUpBtn {
    font-size: clamp(14px, calc(1.8vh + 2px), 13px) !important;
  }
}
